BillyS

Well-Known Member
Mar 22, 2013
62
4
58
cPanel Access Level
Root Administrator
I am going to give everyone an easy question to answer. Why isn't imagick part of the normal EasyApache configuration process? This isn't a complaint, just trying to understand since it's something the always popular Wordpress recommends - and I am new to Wordpress so I am just seeing this now.

Is there a security issue? Is is a finicky extension?
 
Last edited by a moderator:

ffeingol

Well-Known Member
PartnerNOC
Nov 9, 2001
617
199
343
cPanel Access Level
DataCenter Provider
I can't tell you why it's not in EA, but it's very easy to install:

Code:
yum install ImageMagick-devel
And then install imagick via PECL for your various PHP versions.
 

cPRex

Jurassic Moderator
Staff member
Oct 19, 2014
5,425
696
313
cPanel Access Level
Root Administrator
@BillyS - this would be a great feature request to submit using the link in my signature.

We have a guide that explains how to get this setup, which also includes details for CloudLinux's alt-php system here, if you'd like to check that out:

 

BillyS

Well-Known Member
Mar 22, 2013
62
4
58
cPanel Access Level
Root Administrator
Tried the above, got the below


Warning: popen() has been disabled for security reasons in PEAR/Builder.php on line 465
ERROR: failed to run `phpize'

Guess because of this:

disable_functions = "show_source,system,shell_exec,passthru,exec,phpinfo,popen,proc_open"

Can I remove popen from disable_functions to complete the installation, then include it again or will that create a long term problem?

And if this is true, I might just wait a month or so

> NOTE: In cPanel 92 and later these packages will be installed by default.
 
Last edited: